oasis.names.tc.dss._1_0.core.schema

## Class ObjectFactory

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the oasis.names.tc.dss._1_0.core.schema package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `Property` | `create` Create an instance of `Property`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.dss._1_0.core.schema

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdditionalKeyInfo` | `createAdditionalKeyInfo()` Create an instance of `AdditionalKeyInfo`
    `JAXBElement<String>` | `createAdditionalProfile(String value)` Create an instance of `JAXBElement``<``String``>`}
    `AdditionalTimeInfo` | `createAdditionalTimeInfo()` Create an instance of `AdditionalTimeInfo`
    `JAXBElement<UpdateSignatureInstructionType>` | `createAddTimestamp(UpdateSignatureInstructionType value)` Create an instance of `JAXBElement``<``UpdateSignatureInstructionType``>`}
    `AnyType` | `createAnyType()` Create an instance of `AnyType`
    `AttachmentReference` | `createAttachmentReference()` Create an instance of `AttachmentReference`
    `Base64Data` | `createBase64Data()` Create an instance of `Base64Data`
    `Base64Signature` | `createBase64Signature()` Create an instance of `Base64Signature`
    `ClaimedIdentity` | `createClaimedIdentity()` Create an instance of `ClaimedIdentity`
    `DetailType` | `createDetailType()` Create an instance of `DetailType`
    `JAXBElement<DocumentType>` | `createDocument(DocumentType value)` Create an instance of `JAXBElement``<``DocumentType``>`}
    `DocumentHash` | `createDocumentHash()` Create an instance of `DocumentHash`
    `DocumentType` | `createDocumentType()` Create an instance of `DocumentType`
    `DocumentWithSignature` | `createDocumentWithSignature()` Create an instance of `DocumentWithSignature`
    `IncludeObject` | `createIncludeObject()` Create an instance of `IncludeObject`
    `InlineXMLType` | `createInlineXMLType()` Create an instance of `InlineXMLType`
    `InputDocuments` | `createInputDocuments()` Create an instance of `InputDocuments`
    `IntendedAudience` | `createIntendedAudience()` Create an instance of `IntendedAudience`
    `InternationalStringType` | `createInternationalStringType()` Create an instance of `InternationalStringType`
    `KeySelector` | `createKeySelector()` Create an instance of `KeySelector`
    `JAXBElement<String>` | `createLanguage(String value)` Create an instance of `JAXBElement``<``String``>`}
    `ManifestResult` | `createManifestResult()` Create an instance of `ManifestResult`
    `JAXBElement<AnyType>` | `createOptionalInputs(AnyType value)` Create an instance of `JAXBElement``<``AnyType``>`}
    `JAXBElement<AnyType>` | `createOptionalOutputs(AnyType value)` Create an instance of `JAXBElement``<``AnyType``>`}
    `ProcessingDetails` | `createProcessingDetails()` Create an instance of `ProcessingDetails`
    `Properties` | `createProperties()` Create an instance of `Properties`
    `PropertiesType` | `createPropertiesType()` Create an instance of `PropertiesType`
    `Property` | `createProperty()` Create an instance of `Property`
    `RequestBaseType` | `createRequestBaseType()` Create an instance of `RequestBaseType`
    `RequesterIdentity` | `createRequesterIdentity()` Create an instance of `RequesterIdentity`
    `JAXBElement<ResponseBaseType>` | `createResponse(ResponseBaseType value)` Create an instance of `JAXBElement``<``ResponseBaseType``>`}
    `ResponseBaseType` | `createResponseBaseType()` Create an instance of `ResponseBaseType`
    `Result` | `createResult()` Create an instance of `Result`
    `JAXBElement<Object>` | `createReturnProcessingDetails(Object value)` Create an instance of `JAXBElement``<``Object``>`}
    `JAXBElement<Object>` | `createReturnSignerIdentity(Object value)` Create an instance of `JAXBElement``<``Object``>`}
    `JAXBElement<Object>` | `createReturnSigningTimeInfo(Object value)` Create an instance of `JAXBElement``<``Object``>`}
    `JAXBElement<UpdateSignatureInstructionType>` | `createReturnTimestampedSignature(UpdateSignatureInstructionType value)` Create an instance of `JAXBElement``<``UpdateSignatureInstructionType``>`}
    `ReturnTransformedDocument` | `createReturnTransformedDocument()` Create an instance of `ReturnTransformedDocument`
    `ReturnUpdatedSignature` | `createReturnUpdatedSignature()` Create an instance of `ReturnUpdatedSignature`
    `JAXBElement<Object>` | `createReturnVerificationTimeInfo(Object value)` Create an instance of `JAXBElement``<``Object``>`}
    `JAXBElement<DocumentType>` | `createSchema(DocumentType value)` Create an instance of `JAXBElement``<``DocumentType``>`}
    `Schemas` | `createSchemas()` Create an instance of `Schemas`
    `JAXBElement<String>` | `createServicePolicy(String value)` Create an instance of `JAXBElement``<``String``>`}
    `SignatureObject` | `createSignatureObject()` Create an instance of `SignatureObject`
    `SignaturePlacement` | `createSignaturePlacement()` Create an instance of `SignaturePlacement`
    `SignaturePtr` | `createSignaturePtr()` Create an instance of `SignaturePtr`
    `JAXBElement<String>` | `createSignatureType(String value)` Create an instance of `JAXBElement``<``String``>`}
    `SignedReference` | `createSignedReference()` Create an instance of `SignedReference`
    `SignedReferences` | `createSignedReferences()` Create an instance of `SignedReferences`
    `JAXBElement<NameIdentifierType>` | `createSignerIdentity(NameIdentifierType value)` Create an instance of `JAXBElement``<``NameIdentifierType``>`}
    `SigningTimeBoundaries` | `createSigningTimeBoundaries()` Create an instance of `SigningTimeBoundaries`
    `SigningTimeInfo` | `createSigningTimeInfo()` Create an instance of `SigningTimeInfo`
    `SignRequest` | `createSignRequest()` Create an instance of `SignRequest`
    `SignResponse` | `createSignResponse()` Create an instance of `SignResponse`
    `TimeSignatureInstructionType` | `createTimeSignatureInstructionType()` Create an instance of `TimeSignatureInstructionType`
    `Timestamp` | `createTimestamp()` Create an instance of `Timestamp`
    `JAXBElement<UpdatedSignatureType>` | `createTimestampedSignature(UpdatedSignatureType value)` Create an instance of `JAXBElement``<``UpdatedSignatureType``>`}
    `TransformedData` | `createTransformedData()` Create an instance of `TransformedData`
    `TransformedDocument` | `createTransformedDocument()` Create an instance of `TransformedDocument`
    `TstInfo` | `createTstInfo()` Create an instance of `TstInfo`
    `JAXBElement<UpdatedSignatureType>` | `createUpdatedSignature(UpdatedSignatureType value)` Create an instance of `JAXBElement``<``UpdatedSignatureType``>`}
    `UpdatedSignatureType` | `createUpdatedSignatureType()` Create an instance of `UpdatedSignatureType`
    `UpdateSignatureInstructionType` | `createUpdateSignatureInstructionType()` Create an instance of `UpdateSignatureInstructionType`
    `JAXBElement<Object>` | `createUseVerificationTime(Object value)` Create an instance of `JAXBElement``<``Object``>`}
    `UseVerificationTimeType` | `createUseVerificationTimeType()` Create an instance of `UseVerificationTimeType`
    `VerificationTimeInfo` | `createVerificationTimeInfo()` Create an instance of `VerificationTimeInfo`
    `VerifyManifestResults` | `createVerifyManifestResults()` Create an instance of `VerifyManifestResults`
    `VerifyRequest` | `createVerifyRequest()` Create an instance of `VerifyRequest`
    `JAXBElement<ResponseBaseType>` | `createVerifyResponse(ResponseBaseType value)` Create an instance of `JAXBElement``<``ResponseBaseType``>`}

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### create

          public Property createProperty

      Create an instance of `Property`

  - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.dss._1_0.core.schema

  - ### Method Detail

    - #### createInputDocuments

          public InputDocuments createInputDocuments()

      Create an instance of `InputDocuments`

    - #### createDocumentType

          public DocumentType createDocumentType()

      Create an instance of `DocumentType`

    - #### createTransformedData

          public TransformedData createTransformedData()

      Create an instance of `TransformedData`

    - #### createBase64Data

          public Base64Data createBase64Data()

      Create an instance of `Base64Data`

    - #### createDocumentHash

          public DocumentHash createDocumentHash()

      Create an instance of `DocumentHash`

    - #### createAnyType

          public AnyType createAnyType()

      Create an instance of `AnyType`

    - #### createSignatureObject

          public SignatureObject createSignatureObject()

      Create an instance of `SignatureObject`

    - #### createSignaturePtr

          public SignaturePtr createSignaturePtr()

      Create an instance of `SignaturePtr`

    - #### createBase64Signature

          public Base64Signature createBase64Signature()

      Create an instance of `Base64Signature`

    - #### createTimestamp

          public Timestamp createTimestamp()

      Create an instance of `Timestamp`

    - #### createResult

          public Result createResult()

      Create an instance of `Result`

    - #### createInternationalStringType

          public InternationalStringType createInternationalStringType()

      Create an instance of `InternationalStringType`

    - #### createClaimedIdentity

          public ClaimedIdentity createClaimedIdentity()

      Create an instance of `ClaimedIdentity`

    - #### createSchemas

          public Schemas createSchemas()

      Create an instance of `Schemas`

    - #### createResponseBaseType

          public ResponseBaseType createResponseBaseType()

      Create an instance of `ResponseBaseType`

    - #### createSignRequest

          public SignRequest createSignRequest()

      Create an instance of `SignRequest`

    - #### createRequestBaseType

          public RequestBaseType createRequestBaseType()

      Create an instance of `RequestBaseType`

    - #### createSignResponse

          public SignResponse createSignResponse()

      Create an instance of `SignResponse`

    - #### createUpdateSignatureInstructionType

          public UpdateSignatureInstructionType createUpdateSignatureInstructionType()

      Create an instance of `UpdateSignatureInstructionType`

    - #### createIntendedAudience

          public IntendedAudience createIntendedAudience()

      Create an instance of `IntendedAudience`

    - #### createKeySelector

          public KeySelector createKeySelector()

      Create an instance of `KeySelector`

    - #### createProperties

          public Properties createProperties()

      Create an instance of `Properties`

    - #### createPropertiesType

          public PropertiesType createPropertiesType()

      Create an instance of `PropertiesType`

    - #### createProperty

          public Property createProperty()

      Create an instance of `Property`

    - #### createIncludeObject

          public IncludeObject createIncludeObject()

      Create an instance of `IncludeObject`

    - #### createSignaturePlacement

          public SignaturePlacement createSignaturePlacement()

      Create an instance of `SignaturePlacement`

    - #### createDocumentWithSignature

          public DocumentWithSignature createDocumentWithSignature()

      Create an instance of `DocumentWithSignature`

    - #### createSignedReferences

          public SignedReferences createSignedReferences()

      Create an instance of `SignedReferences`

    - #### createSignedReference

          public SignedReference createSignedReference()

      Create an instance of `SignedReference`

    - #### createVerifyRequest

          public VerifyRequest createVerifyRequest()

      Create an instance of `VerifyRequest`

    - #### createVerifyManifestResults

          public VerifyManifestResults createVerifyManifestResults()

      Create an instance of `VerifyManifestResults`

    - #### createManifestResult

          public ManifestResult createManifestResult()

      Create an instance of `ManifestResult`

    - #### createAdditionalTimeInfo

          public AdditionalTimeInfo createAdditionalTimeInfo()

      Create an instance of `AdditionalTimeInfo`

    - #### createVerificationTimeInfo

          public VerificationTimeInfo createVerificationTimeInfo()

      Create an instance of `VerificationTimeInfo`

    - #### createAdditionalKeyInfo

          public AdditionalKeyInfo createAdditionalKeyInfo()

      Create an instance of `AdditionalKeyInfo`

    - #### createProcessingDetails

          public ProcessingDetails createProcessingDetails()

      Create an instance of `ProcessingDetails`

    - #### createDetailType

          public DetailType createDetailType()

      Create an instance of `DetailType`

    - #### createSigningTimeInfo

          public SigningTimeInfo createSigningTimeInfo()

      Create an instance of `SigningTimeInfo`

    - #### createSigningTimeBoundaries

          public SigningTimeBoundaries createSigningTimeBoundaries()

      Create an instance of `SigningTimeBoundaries`

    - #### createReturnUpdatedSignature

          public ReturnUpdatedSignature createReturnUpdatedSignature()

      Create an instance of `ReturnUpdatedSignature`

    - #### createUpdatedSignatureType

          public UpdatedSignatureType createUpdatedSignatureType()

      Create an instance of `UpdatedSignatureType`

    - #### createReturnTransformedDocument

          public ReturnTransformedDocument createReturnTransformedDocument()

      Create an instance of `ReturnTransformedDocument`

    - #### createTransformedDocument

          public TransformedDocument createTransformedDocument()

      Create an instance of `TransformedDocument`

    - #### createTstInfo

          public TstInfo createTstInfo()

      Create an instance of `TstInfo`

    - #### createRequesterIdentity

          public RequesterIdentity createRequesterIdentity()

      Create an instance of `RequesterIdentity`

    - #### createAttachmentReference

          public AttachmentReference createAttachmentReference()

      Create an instance of `AttachmentReference`

    - #### createInlineXMLType

          public InlineXMLType createInlineXMLType()

      Create an instance of `InlineXMLType`

    - #### createTimeSignatureInstructionType

          public TimeSignatureInstructionType createTimeSignatureInstructionType()

      Create an instance of `TimeSignatureInstructionType`

    - #### createUseVerificationTimeType

          public UseVerificationTimeType createUseVerificationTimeType()

      Create an instance of `UseVerificationTimeType`

    - #### createDocument

          public JAXBElement<DocumentType> createDocument(DocumentType value)

      Create an instance of `JAXBElement``<``DocumentType``>`}

    - #### createOptionalInputs

          public JAXBElement<AnyType> createOptionalInputs(AnyType value)

      Create an instance of `JAXBElement``<``AnyType``>`}

    - #### createOptionalOutputs

          public JAXBElement<AnyType> createOptionalOutputs(AnyType value)

      Create an instance of `JAXBElement``<``AnyType``>`}

    - #### createServicePolicy

          public JAXBElement<String> createServicePolicy(String value)

      Create an instance of `JAXBElement``<``String``>`}

    - #### createLanguage

          public JAXBElement<String> createLanguage(String value)

      Create an instance of `JAXBElement``<``String``>`}

    - #### createAdditionalProfile

          public JAXBElement<String> createAdditionalProfile(String value)

      Create an instance of `JAXBElement``<``String``>`}

    - #### createSchema

          public JAXBElement<DocumentType> createSchema(DocumentType value)

      Create an instance of `JAXBElement``<``DocumentType``>`}

    - #### createResponse

          public JAXBElement<ResponseBaseType> createResponse(ResponseBaseType value)

      Create an instance of `JAXBElement``<``ResponseBaseType``>`}

    - #### createSignatureType

          public JAXBElement<String> createSignatureType(String value)

      Create an instance of `JAXBElement``<``String``>`}

    - #### createAddTimestamp

          public JAXBElement<UpdateSignatureInstructionType> createAddTimestamp(UpdateSignatureInstructionType value)

      Create an instance of `JAXBElement``<``UpdateSignatureInstructionType``>`}

    - #### createVerifyResponse

          public JAXBElement<ResponseBaseType> createVerifyResponse(ResponseBaseType value)

      Create an instance of `JAXBElement``<``ResponseBaseType``>`}

    - #### createUseVerificationTime

          public JAXBElement<Object> createUseVerificationTime(Object value)

      Create an instance of `JAXBElement``<``Object``>`}

    - #### createReturnVerificationTimeInfo

          public JAXBElement<Object> createReturnVerificationTimeInfo(Object value)

      Create an instance of `JAXBElement``<``Object``>`}

    - #### createReturnProcessingDetails

          public JAXBElement<Object> createReturnProcessingDetails(Object value)

      Create an instance of `JAXBElement``<``Object``>`}

    - #### createReturnSigningTimeInfo

          public JAXBElement<Object> createReturnSigningTimeInfo(Object value)

      Create an instance of `JAXBElement``<``Object``>`}

    - #### createReturnSignerIdentity

          public JAXBElement<Object> createReturnSignerIdentity(Object value)

      Create an instance of `JAXBElement``<``Object``>`}

    - #### createSignerIdentity

          public JAXBElement<NameIdentifierType> createSignerIdentity(NameIdentifierType value)

      Create an instance of `JAXBElement``<``NameIdentifierType``>`}

    - #### createUpdatedSignature

          public JAXBElement<UpdatedSignatureType> createUpdatedSignature(UpdatedSignatureType value)

      Create an instance of `JAXBElement``<``UpdatedSignatureType``>`}

    - #### createReturnTimestampedSignature

          public JAXBElement<UpdateSignatureInstructionType> createReturnTimestampedSignature(UpdateSignatureInstructionType value)

      Create an instance of `JAXBElement``<``UpdateSignatureInstructionType``>`}

    - #### createTimestampedSignature

          public JAXBElement<UpdatedSignatureType> createTimestampedSignature(UpdatedSignatureType value)

      Create an instance of `JAXBElement``<``UpdatedSignatureType``>`}

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.